MaterialEditText
================
[![Android Arsenal](https://img.shields.io/badge/Android%20Arsenal-MaterialEditText-brightgreen.svg?style=flat)](https://android-arsenal.com/details/1/1085)


![MaterialEditText](./images/material_edittext.png)

AppCompat v21 makes it easy to use Material Design EditText in our apps, but it's so limited. If you've tried that, you know what I mean. So I wrote MaterialEditText, the EditText in Material Design, with more features that [Google Material Design Spec](http://www.google.com/design/spec/components/text-fields.html) has introduced.

## Features
1. **Basic**

  ![Basic](./images/basic.jpg)
  
2. **Custom Base Color**
  
  ![BaseColor](./images/custom_base_color.jpg)
  
3. **Custom Primary Color**
  
  ![PrimaryColor](./images/custom_primary_color.jpg)
  
4. **Floating Label**
  
  normal:
  
  ![FloatingLabel](./images/floating_label.jpg)
  
  highlight:
  
  ![HighlightFloatingLabel](./images/highlight.jpg)

  custom floating label text:

  ![CustomFloatingLabelText](./images/custom_floating_label_text.png)
  
5. **Single Line Ellipsis**
  
  ![SingLineEllipsis](./images/ellipsis.jpg)
  
6. **Max Characters**
  
  default error color:
  
  ![MaxCharacters](./images/max_characters.jpg)
  
  custom error color:
  
  ![CustomErrorColor](./images/custom_error.jpg)
  
7. **Helper Text and Error Text**

  ![HelperTextAndErrorText](./images/helper_text_and_error_text.jpg)

8. **Custom accent typeface**

  floating label, error/helper text, character counter, etc.

  ![CustomAccentTypeface](./images/custom_accent_typeface.png)

## Sample

[MaterialEditText-1.5.0-sample.apk](https://github.com/rengwuxian/MaterialEditText/releases/download/1.5.0/MaterialEditText-1.5.0-sample.apk)
  
## Download

Eclipse:
[MaterialEditText-1.5.0.aar](https://github.com/rengwuxian/MaterialEditText/releases/download/1.5.0/MaterialEditText-1.5.0.aar)

gradle:

```groovy
compile 'com.rengwuxian.materialedittext:library:1.5.0'
```

Maven:
```xml
<dependency>
  <groupId>com.rengwuxian.materialedittext</groupId>
  <artifactId>library</artifactId>
  <version>1.5.0</version>
  <type>aar</type>
</dependency>
```

## Usage

See on [Wiki Page](https://github.com/rengwuxian/MaterialEditText/wiki) or [中文看这里](http://www.rengwuxian.com/post/MaterialEditText)

## Thanks to

[NineOldAndroids](https://github.com/JakeWharton/NineOldAndroids/)

## License

    Copyright 2014 rengwuxian

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
    
